Stores and returns the DotSettings class

### Hierarchy

- SettingsStorageService

## Index

### Constructors

- constructor

### Properties

- config
- configKey
- localStoreService
- siteBrowserState

### Methods

- clearSettings
- getSettings
- storeSettings

## Constructors

### constructor

- new SettingsStorageService(config: AppConfig, localStoreService: LocalStoreService, siteBrowserState: SiteBrowserState): SettingsStorageService

- - Defined in core/util/settings-storage.service.ts:13

  #### Parameters

  - ##### config: AppConfig

  - ##### localStoreService: LocalStoreService

  - ##### siteBrowserState: SiteBrowserState

  #### Returns SettingsStorageService

## Properties

### Private config

config: AppConfig

- Defined in core/util/settings-storage.service.ts:16

### configKey

configKey: string

- Defined in core/util/settings-storage.service.ts:13

### Private localStoreService

localStoreService: LocalStoreService

- Defined in core/util/settings-storage.service.ts:17

### Private siteBrowserState

siteBrowserState: SiteBrowserState

- Defined in core/util/settings-storage.service.ts:18

## Methods

### clearSettings

- clearSettings(): void

- - Defined in core/util/settings-storage.service.ts:42

  removes stored settings

  #### Returns void

### getSettings

- getSettings(): DotSettings

- - Defined in core/util/settings-storage.service.ts:23

  #### Returns DotSettings

### storeSettings

- storeSettings(siteURL: string, JWT: string): void

- - Defined in core/util/settings-storage.service.ts:32

  Stores the DotSettings object

  #### Parameters

  - ##### siteURL: string

  - ##### JWT: string

  #### Returns void

Generated using TypeDoc